Package org.lwjgl.opengl

# Class GL12

java.lang.Object
org.lwjgl.opengl.GL12

public final class GL12 extends Object

The core OpenGL1.2.1 API, with the imaging subset.

Version:
  $Revision$ $Id$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALIASED_LINE_WIDTH_RANGE`
`static final int`
`GL_ALIASED_POINT_SIZE_RANGE`
`static final int`
`GL_BGR`
`static final int`
`GL_BGRA`
`static final int`
`GL_CLAMP_TO_EDGE`
`static final int`
`GL_LIGHT_MODEL_COLOR_CONTROL`
`static final int`
`GL_MAX_3D_TEXTURE_SIZE`
`static final int`
`GL_MAX_ELEMENTS_INDICES`
`static final int`
`GL_MAX_ELEMENTS_VERTICES`
`static final int`
`GL_PACK_IMAGE_HEIGHT`
`static final int`
`GL_PACK_SKIP_IMAGES`
`static final int`
`GL_PROXY_TEXTURE_3D`
`static final int`
`GL_RESCALE_NORMAL`
`static final int`
`GL_SEPARATE_SPECULAR_COLOR`
`static final int`
`GL_SINGLE_COLOR`
`static final int`
`GL_SMOOTH_LINE_WIDTH_GRANULARITY`
`static final int`
`GL_SMOOTH_LINE_WIDTH_RANGE`
`static final int`
`GL_SMOOTH_POINT_SIZE_GRANULARITY`
`static final int`
`GL_SMOOTH_POINT_SIZE_RANGE`
`static final int`
`GL_TEXTURE_3D`
`static final int`
`GL_TEXTURE_BASE_LEVEL`
`static final int`
`GL_TEXTURE_BINDING_3D`
`static final int`
`GL_TEXTURE_DEPTH`
`static final int`
`GL_TEXTURE_MAX_LEVEL`
`static final int`
`GL_TEXTURE_MAX_LOD`
`static final int`
`GL_TEXTURE_MIN_LOD`
`static final int`
`GL_TEXTURE_WRAP_R`
`static final int`
`GL_UNPACK_IMAGE_HEIGHT`
`static final int`
`GL_UNPACK_SKIP_IMAGES`
`static final int`
`GL_UNSIGNED_BYTE_2_3_3_REV`
`static final int`
`GL_UNSIGNED_BYTE_3_3_2`
`static final int`
`GL_UNSIGNED_INT_10_10_10_2`
`static final int`
`GL_UNSIGNED_INT_2_10_10_10_REV`
`static final int`
`GL_UNSIGNED_INT_8_8_8_8`
`static final int`
`GL_UNSIGNED_INT_8_8_8_8_REV`
`static final int`
`GL_UNSIGNED_SHORT_1_5_5_5_REV`
`static final int`
`GL_UNSIGNED_SHORT_4_4_4_4`
`static final int`
`GL_UNSIGNED_SHORT_4_4_4_4_REV`
`static final int`
`GL_UNSIGNED_SHORT_5_5_5_1`
`static final int`
`GL_UNSIGNED_SHORT_5_6_5`
`static final int`
`GL_UNSIGNED_SHORT_5_6_5_REV`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glCopyTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)`
`static void`
`glDrawRangeElements(int mode, int start, int end, int indices_count, int type, long indices_buffer_offset)`
`static void`
`glDrawRangeElements(int mode, int start, int end, ByteBuffer indices)`
`static void`
`glDrawRangeElements(int mode, int start, int end, IntBuffer indices)`
`static void`
`glDrawRangeElements(int mode, int start, int end, ShortBuffer indices)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, DoubleBuffer pixels)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer pixels)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_BINDING_3D

public static final int GL_TEXTURE_BINDING_3D

See Also:
  - Constant Field Values

### GL_PACK_SKIP_IMAGES

public static final int GL_PACK_SKIP_IMAGES

See Also:
  - Constant Field Values

### GL_PACK_IMAGE_HEIGHT

public static final int GL_PACK_IMAGE_HEIGHT

See Also:
  - Constant Field Values

### GL_UNPACK_SKIP_IMAGES

public static final int GL_UNPACK_SKIP_IMAGES

See Also:
  - Constant Field Values

### GL_UNPACK_IMAGE_HEIGHT

public static final int GL_UNPACK_IMAGE_HEIGHT

See Also:
  - Constant Field Values

### GL_TEXTURE_3D

public static final int GL_TEXTURE_3D

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_3D

public static final int GL_PROXY_TEXTURE_3D

See Also:
  - Constant Field Values

### GL_TEXTURE_DEPTH

public static final int GL_TEXTURE_DEPTH

See Also:
  - Constant Field Values

### GL_TEXTURE_WRAP_R

public static final int GL_TEXTURE_WRAP_R

See Also:
  - Constant Field Values

### GL_MAX_3D_TEXTURE_SIZE

public static final int GL_MAX_3D_TEXTURE_SIZE

See Also:
  - Constant Field Values

### GL_BGR

public static final int GL_BGR

See Also:
  - Constant Field Values

### GL_BGRA

public static final int GL_BGRA

See Also:
  - Constant Field Values

### GL_UNSIGNED_BYTE_3_3_2

public static final int GL_UNSIGNED_BYTE_3_3_2

See Also:
  - Constant Field Values

### GL_UNSIGNED_BYTE_2_3_3_REV

public static final int GL_UNSIGNED_BYTE_2_3_3_REV

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5

public static final int GL_UNSIGNED_SHORT_5_6_5

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5_REV

public static final int GL_UNSIGNED_SHORT_5_6_5_REV

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4

public static final int GL_UNSIGNED_SHORT_4_4_4_4

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4_REV

public static final int GL_UNSIGNED_SHORT_4_4_4_4_REV

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_5_5_5_1

public static final int GL_UNSIGNED_SHORT_5_5_5_1

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_1_5_5_5_REV

public static final int GL_UNSIGNED_SHORT_1_5_5_5_REV

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_8_8_8_8

public static final int GL_UNSIGNED_INT_8_8_8_8

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_8_8_8_8_REV

public static final int GL_UNSIGNED_INT_8_8_8_8_REV

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_10_10_10_2

public static final int GL_UNSIGNED_INT_10_10_10_2

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_2_10_10_10_REV

public static final int GL_UNSIGNED_INT_2_10_10_10_REV

See Also:
  - Constant Field Values

### GL_RESCALE_NORMAL

public static final int GL_RESCALE_NORMAL

See Also:
  - Constant Field Values

### GL_LIGHT_MODEL_COLOR_CONTROL

public static final int GL_LIGHT_MODEL_COLOR_CONTROL

See Also:
  - Constant Field Values

### GL_SINGLE_COLOR

public static final int GL_SINGLE_COLOR

See Also:
  - Constant Field Values

### GL_SEPARATE_SPECULAR_COLOR

public static final int GL_SEPARATE_SPECULAR_COLOR

See Also:
  - Constant Field Values

### GL_CLAMP_TO_EDGE

public static final int GL_CLAMP_TO_EDGE

See Also:
  - Constant Field Values

### GL_TEXTURE_MIN_LOD

public static final int GL_TEXTURE_MIN_LOD

See Also:
  - Constant Field Values

### GL_TEXTURE_MAX_LOD

public static final int GL_TEXTURE_MAX_LOD

See Also:
  - Constant Field Values

### GL_TEXTURE_BASE_LEVEL

public static final int GL_TEXTURE_BASE_LEVEL

See Also:
  - Constant Field Values

### GL_TEXTURE_MAX_LEVEL

public static final int GL_TEXTURE_MAX_LEVEL

See Also:
  - Constant Field Values

### GL_MAX_ELEMENTS_VERTICES

public static final int GL_MAX_ELEMENTS_VERTICES

See Also:
  - Constant Field Values

### GL_MAX_ELEMENTS_INDICES

public static final int GL_MAX_ELEMENTS_INDICES

See Also:
  - Constant Field Values

### GL_ALIASED_POINT_SIZE_RANGE

public static final int GL_ALIASED_POINT_SIZE_RANGE

See Also:
  - Constant Field Values

### GL_ALIASED_LINE_WIDTH_RANGE

public static final int GL_ALIASED_LINE_WIDTH_RANGE

See Also:
  - Constant Field Values

### GL_SMOOTH_POINT_SIZE_RANGE

public static final int GL_SMOOTH_POINT_SIZE_RANGE

See Also:
  - Constant Field Values

### GL_SMOOTH_POINT_SIZE_GRANULARITY

public static final int GL_SMOOTH_POINT_SIZE_GRANULARITY

See Also:
  - Constant Field Values

### GL_SMOOTH_LINE_WIDTH_RANGE

public static final int GL_SMOOTH_LINE_WIDTH_RANGE

See Also:
  - Constant Field Values

### GL_SMOOTH_LINE_WIDTH_GRANULARITY

public static final int GL_SMOOTH_LINE_WIDTH_GRANULARITY

See Also:
  - Constant Field Values

## Method Details

### glDrawRangeElements

public static void glDrawRangeElements(int mode, int start, int end, ByteBuffer indices)

### glDrawRangeElements

public static void glDrawRangeElements(int mode, int start, int end, IntBuffer indices)

### glDrawRangeElements

public static void glDrawRangeElements(int mode, int start, int end, ShortBuffer indices)

### glDrawRangeElements

public static void glDrawRangeElements(int mode, int start, int end, int indices_count, int type, long indices_buffer_offset)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, DoubleBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)

### glCopyTexSubImage3D

public static void glCopyTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)